lkml.org 
[lkml]   [2001]   [Jan]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: Announce: modutils 2.3.24 is available
On Mon, 01 Jan 2001, Keith Owens wrote:

> ftp://ftp.<country>.kernel.org/pub/linux/utils/kernel/modutils/v2.3
>
> modutils-2.3.24-1.src.rpm As above, in SRPM format

There's a problem. depmod should not try to do anything besides giving
its version when --version is used, should it? I'd rather expect exit(0)
or _exit(0); for --version and --help.

(modprobe shows the same behaviour as depmod, insmod throws its version
number and the usage information, I did not bother to check the other
tools.)

$ /sbin/depmod --version
depmod version 2.3.24
Warning: You do not need a link from /etc/conf.modules to
/etc/modules.conf. The use of /etc/conf.modules is deprecated,
please remove /etc/conf.modules as soon as possible. Command
rm /etc/conf.modules
depmod: Can't open /lib/modules/2.2.18-ma2/modules.dep for writing

--
Matthias Andree
[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2005-03-22 12:52    [W:0.040 / U:3.444 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site